"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs = require("fs-extra");
var getElevation_1 = require("./provider/getElevation");
var parameters = {
    lon: 0,
    lat: 0,
};
for (var i = 2; i < process.argv.length; i++) {
    switch (process.argv[i]) {
        case '-lon':
            i++;
            parameters.lon = parseFloat(process.argv[i]);
            break;
        case '-lat':
            i++;
            parameters.lat = parseFloat(process.argv[i]);
            break;
    }
}
if (fs.existsSync('./configEle.json')) {
    var config = JSON.parse(fs.readFileSync('./configEle.json', 'utf8'));
    getElevation_1.getElevation(parameters, config)
        .then(function (res) {
        // tslint:disable-next-line:no-console
        console.log(res);
    })
        .catch(function (err) {
        // tslint:disable-next-line:no-console
        console.log(err);
    });
}
else {
    // add config file
    // tslint:disable-next-line:no-console
    console.log('Missing file: ./configEle.json');
    // tslint:disable-next-line:no-console
    console.log(' -> Use the template at: ../config_TEMPLATE.json');
}
//# sourceMappingURL=getElevation.js.map