"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CSV = require("csvtojson");
var fs = require("fs-extra");
function getDataFromCsv(fileName, schema) {
    return new Promise(function (resolve, reject) {
        var data = [[]];
        if (fs.existsSync(fileName)) {
            CSV({
                delimiter: ['\t', ';'],
                noheader: false,
            })
                .fromFile(fileName)
                .then(function (csvObj) {
                schema.forEach(function (sh) {
                    data[0].push(sh.name);
                });
                csvObj.forEach(function (jsonObj) {
                    var line = [];
                    schema.forEach(function (sh) {
                        if (jsonObj[sh.name] !== undefined) {
                            if (sh.number) {
                                line.push(parseFloat(jsonObj[sh.name].replace(',', '.')));
                            }
                            else {
                                line.push(jsonObj[sh.name]);
                            }
                        }
                        else {
                            line.push('');
                        }
                    });
                    data.push(line);
                });
                resolve(data);
            });
        }
        else {
            reject(new Error('Invalid fileName: ' + fileName));
        }
    });
}
exports.getDataFromCsv = getDataFromCsv;
//# sourceMappingURL=Csv.js.map