"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs = require("fs-extra");
var XLSX = require("xlsx");
function readXlscFile(fileName) {
    /* generate worksheet */
    if (fs.existsSync(fileName)) {
        var wb = XLSX.read(fs.readFileSync(fileName));
        /* grab first sheet */
        var wsname = wb.SheetNames[0];
        var ws = wb.Sheets[wsname];
        /* save data */
        var f = [[]];
        f = XLSX.utils.sheet_to_json(ws, { header: 1 });
        for (var i = 0; i < f.length; i++) {
            for (var j = 0; j < f[0].length; j++) {
                if (f[i][j] === undefined) {
                    f[i][j] = '';
                }
            }
        }
        return f;
    }
    else {
        throw new Error('Invalid fileName: ' + fileName);
    }
}
exports.readXlscFile = readXlscFile;
//# sourceMappingURL=Excel.js.map