"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var md5 = require("md5");
function getId(info, length) {
    var _this = this;
    if (length === undefined || length === null) {
        length = 16;
    }
    var hash = md5(info);
    hash = hash.replace(/a/g, '0');
    hash = hash.replace(/b/g, '1');
    hash = hash.replace(/c/g, '2');
    hash = hash.replace(/d/g, '3');
    hash = hash.replace(/e/g, '4');
    hash = hash.replace(/f/g, '5');
    if (length === 16) {
        return (parseFloat(hash.substr(0, 16)) + parseFloat(hash.substr(16, 16))).toString();
    }
    else if (length === 8) {
        return (parseFloat(hash.substr(0, 8)) +
            parseFloat(hash.substr(8, 8)) +
            parseFloat(hash.substr(16, 8)) +
            parseFloat(hash.substr(24, 8))).toString();
    }
    else {
        throw {
            name: 'No valid length',
            message: length.toString(),
            toString: function () {
                return _this.name + ': ' + _this.message;
            },
        };
    }
}
exports.getId = getId;
function getMd5Hash(info) {
    return md5(info);
}
exports.getMd5Hash = getMd5Hash;
//# sourceMappingURL=Hash.js.map