"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs = require("fs-extra");
var Hash_1 = require("./Hash");
function updateInfoFile(config, items, itemInfo) {
    var uid1 = Hash_1.getId(config.directory + '1', 16);
    var remove = [];
    if (itemInfo === undefined || itemInfo === null) {
        var jsonFile_1 = {
            revision: 1,
            folder: '1',
            forced: false,
            monthly: '',
            directory: config.directory,
            documents: [],
        };
        items.forEach(function (doc) {
            var uid = Hash_1.getId(config.directory + doc.id, 16);
            var jsonDoc = {
                name: doc.name,
                id: uid.toString(),
                revision: 1,
            };
            jsonFile_1.documents.push(jsonDoc);
        });
        jsonFile_1.documents.push({
            name: 'data_' + config.name,
            id: uid1.toString(),
            revision: 1,
        });
        fs.writeFileSync(config.workingDirectory + config.name + 'Info.json', JSON.stringify(jsonFile_1));
        // tslint:disable-next-line:no-console
        console.log('Created file: ' + config.workingDirectory + config.name + 'Info.json');
        return remove;
    }
    else {
        var newItemInfo = itemInfo;
        var entities = [];
        for (var i = 0; i < items.length; i++) {
            for (var j = 0; j < itemInfo.documents.length; j++) {
                var uid = Hash_1.getId(config.directory + items[i].id.toString(), 16);
                if (uid === itemInfo.documents[j].id.toString()) {
                    entities.push(itemInfo.documents[j]);
                    itemInfo.documents.splice(j, 1);
                    j--;
                    break;
                }
                else if (j === itemInfo.documents.length - 1) {
                    entities.push({ name: items[i].name, id: uid, revision: 1 });
                }
            }
        }
        for (var j = 0; j < itemInfo.documents.length; j++) {
            if (itemInfo.documents[j].id.toString() === uid1) {
                itemInfo.documents[j].revision += 1;
                entities.push(itemInfo.documents[j]);
                itemInfo.documents.splice(j, 1);
                break;
            }
        }
        itemInfo.documents.forEach(function (doc) {
            remove.push({ id: doc.id, name: doc.name, fileName: doc.fileName || '' });
        });
        newItemInfo.documents = entities;
        fs.writeFileSync(config.workingDirectory + config.name + 'Info.json', JSON.stringify(newItemInfo));
        // tslint:disable-next-line:no-console
        console.log('Updated file: ' + config.workingDirectory + config.name + 'Info.json');
        return remove;
    }
}
exports.updateInfoFile = updateInfoFile;
var InfoFileModel = /** @class */ (function () {
    function InfoFileModel() {
    }
    return InfoFileModel;
}());
exports.InfoFileModel = InfoFileModel;
//# sourceMappingURL=InfoJson.js.map