"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs = require("fs-extra");
var Log = /** @class */ (function () {
    function Log(name, storageDirectory) {
        this.name = name;
        this.storageDirectory = storageDirectory;
        var d = new Date();
        this.logLines = [];
        this.logLines.push(d.toISOString() + ' - Started: ' + name);
    }
    Log.prototype.addLine = function (line) {
        var d = new Date();
        this.logLines.push(d.toISOString() + ' - ' + line);
    };
    Log.prototype.addLines = function (lines) {
        var _this = this;
        var d = new Date();
        lines.forEach(function (l) {
            _this.logLines.push(d.toISOString() + ' - ' + l);
        });
    };
    Log.prototype.saveLog = function () {
        var d = new Date();
        var options = { year: 'numeric', month: 'numeric', day: 'numeric', hour: 'numeric', minute: 'numeric' };
        var fileName = this.storageDirectory + d.toLocaleDateString('de-DE', options) + '_' + this.name;
        fs.writeFileSync(fileName, this.logLines.join(' \n '));
    };
    Log.prototype.clearAll = function () {
        var d = new Date();
        this.logLines = [];
        this.logLines.push(d.toISOString() + ' - Started: ' + this.name);
    };
    return Log;
}());
exports.Log = Log;
//# sourceMappingURL=Log.js.map