"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var request = require("request");
function getRequest(url, qs) {
    return new Promise(function (resolve, reject) {
        var options = {
            method: 'GET',
            url: url,
            qs: qs,
        };
        request(options, function (error, response, body) {
            if (error) {
                reject(error);
            }
            else {
                try {
                    var data = JSON.parse(body);
                    resolve(data);
                }
                catch (err) {
                    // tslint:disable-next-line:no-console
                    console.error(err);
                    reject(err);
                }
            }
        });
    });
}
exports.getRequest = getRequest;
function putRequest(url, qs) {
    return new Promise(function (resolve, reject) {
        var options = {
            method: 'PUT',
            url: url,
            qs: qs,
        };
        request(options, function (error, response, body) {
            if (error) {
                reject(error);
            }
            else {
                resolve({});
            }
        });
    });
}
exports.putRequest = putRequest;
function postRequest(url, qs) {
    return new Promise(function (resolve, reject) {
        var options = {
            method: 'POST',
            url: url,
            qs: qs,
        };
        request(options, function (error, response, body) {
            if (error) {
                reject(error);
            }
            else {
                resolve({});
            }
        });
    });
}
exports.postRequest = postRequest;
function downloadFileWithTrelloHeader(downloadObj) {
    return new Promise(function (resolve, reject) {
        var options = {
            method: 'GET',
            url: downloadObj.url,
            encoding: null,
            headers: downloadObj.headers,
        };
        request(options, function (error, response, body) {
            if (error) {
                reject(error);
            }
            else {
                resolve({ id: downloadObj.id, dir: downloadObj.directory + downloadObj.name, data: body });
            }
        });
    });
}
exports.downloadFileWithTrelloHeader = downloadFileWithTrelloHeader;
function downloadFile(downloadObj) {
    return new Promise(function (resolve, reject) {
        var options = {
            method: 'GET',
            url: downloadObj.url,
            encoding: null,
        };
        request(options, function (error, response, body) {
            if (error) {
                reject(error);
            }
            else {
                resolve({ id: downloadObj.id, dir: downloadObj.directory + downloadObj.name, data: body });
            }
        });
    });
}
exports.downloadFile = downloadFile;
//# sourceMappingURL=apiRequest.js.map